<?php

namespace App\Http\Controllers;

use App\Estado_Radicado;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class estRadicadoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function ReadEstadoRadicado()
    {

        $EstadoRadicado = Estado_Radicado::orderBy('nombre', 'asc')->get();
        return (new Response($EstadoRadicado, 200));

    }

    public function ReadEstadoRadicadoActivos()
    {
        $filtro = ['estado' => 1];
        $EstadoRadicado = Estado_Radicado::orderBy('nombre', 'asc')->where($filtro)->get();
        return (new Response($EstadoRadicado, 200));

    }

    public function CreateEstadoRadicado(Request $request)
    {

        $datos = json_decode($request->datos);

        $Estado_Radicado = new Estado_Radicado();
        $Estado_Radicado->nombre = $datos[0]->nombre;

        $Estado_Radicado->color = $datos[0]->color;
        $Estado_Radicado->esfinal = $datos[0]->esfinal;
        $Estado_Radicado->estado = $datos[0]->estado;

        $Estado_Radicado->save();

        return (new Response($Estado_Radicado, 200));

    }

    public function UpdateEstadoRadicado(Request $request)
    {

        $datos = json_decode($request->datos);

        $Estado_Radicado = Estado_Radicado::find($datos[0]->id);
        $Estado_Radicado->nombre = $datos[0]->nombre;

        $Estado_Radicado->color = $datos[0]->color;
        $Estado_Radicado->esfinal = $datos[0]->esfinal;
        $Estado_Radicado->estado = $datos[0]->estado;

        $Estado_Radicado->save();

        return (new Response($Estado_Radicado, 200));

    }
}
